<template>
  <v-app>
    <Menu/>
    <v-layout row>
      <v-flex xs10 offset-xs1>
        <v-card>
          <v-list two-line>
            <v-subheader>
              <h1>{{post.title}}</h1>
            </v-subheader>
            <template v-if="post">
              <v-divider></v-divider>
              <v-list-tile
                :key="post.title"
              >
                <v-list-tile-content>
                  {{post.text}}
                </v-list-tile-content>
              </v-list-tile>
            </template>
          </v-list>
        </v-card>
      </v-flex>
    </v-layout>
  </v-app>
</template>

<script>

  import axios from 'axios'
  import Menu from '../components/Menu'

  export default {
    name: 'post',
    components: {
      Menu
    },
    data() {
      return {
        post: [{title: 'Заголовок загружается', text: 'Текст загружается..'}],
        endpoint: '/api/posts/',
      }
    },

    created() {
      this.getPost(this.$route.params.id);
    },

    methods: {
      getPost(id) {
        axios.get(this.endpoint + id)
          .then(response => {
            this.post = response.data;
          })
          .catch(error => {
            console.log('-----error-------');
            console.log(error);
          })
      }
    },
    watch: {
      '$route'() {
        this.getPost(this.id);
      }
    }
  }
</script>

<style lang="scss" scoped>

</style>
